/*
* JBoss, Home of Professional Open Source
* Copyright 2005, JBoss Inc., and individual contributors as indicated
* by the @authors tag. See the copyright.txt in the distribution for a
* full listing of individual contributors.
*
* This is free software; you can redistribute it and/or modify it
* under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2.1 of
* the License, or (at your option) any later version.
*
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
* Lesser General Public License for more details.
*
* You should have received a copy of the GNU Lesser General Public
* License along with this software; if not, write to the Free
* Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
* 02110-1301 USA, or see the FSF site: http://www.fsf.org.
*/
package test.jboss.security.idm;

import java.util.Collection;
import java.util.ArrayList;
import java.lang.reflect.Method;

import org.apache.cactus.*;


import org.jboss.security.idm.Identity;
import org.jboss.security.idm.LoginProvider;
import org.jboss.security.idm.IdentityManager;

/**
 * 
 * @author Sohil Shah - sohil.shah@jboss.com
 *
 */
public class LoginTestCase extends ServletTestCase
{
    /**
     * 
     * @throws Exception
     */
    public void test() throws Exception
    {
       System.out.println("Login....................................");
       
       LoginProvider provider = IdentityManager.findLoginProvider();
       boolean loginSuccess = provider.login("passwordTester","password2006".getBytes());
       
       assertTrue(loginSuccess);
                     
       System.out.println("(Done)..........................................."); 
    }
}
